Subject: Partial wildcards in the appnDirTable

From: Bob Clouston <[email-masked]>
Date: Mon, 21 Aug 95 15:25:37 EDT

We didn't get this far in the MIB at the AIW today so I didn't get to bring
this up.
My initial reading on how to represent partial wildcards (such as APPN.LU*) 
in the mib is that the appnDirLuName field represent the partial LU name
(APPN.LU) and the WildCard would be 'partialWildcard'.  But if there is a 
real LU name of APPN.LU, we will have two rows with the same index.

There are two ways to fix this:

1) Put the '*' character on the end of full or partial wildcards.  Full 
wildcards don't really need it but I include it for consistency.

2) Include appnDirWildCard as part of the table index.

I prefer 1).  This means we just change the description of appnDirLuName.
Also the display string size should be 1..17 (or 0..17 if we don't include
the * in full wildcard), not 3..17.  

Any objections to this?

Bob